# Remove tst-pcre$(EXEEXT), tst-boost$(EXEEXT) and tst-rxspencer$(EXEEXT) in ./Makefile
/^am__EXEEXT_1[ 	]*=/,/(EXEEXT)$/ {
  /tst-pcre\$(EXEEXT)/d
  /tst-boost\$(EXEEXT)/d
  /tst-rxspencer\$(EXEEXT)/d
  /bug-regex27\$(EXEEXT)/d
  /bug-regex28\$(EXEEXT)/d
#  s/tst-rxspencer\$(EXEEXT)//
}

# Replace $(SED) 's/\r//g' by $(TR) -d \\r in ./testsuite/Makefile.tests.
/^elide_cr[ 	]*=/ {
  h
  s/(SED).*$/(TR)  -d \\\\r/
  x
  i\
ifeq ($(DJGPP),)
  a\
else
  n
  g
  a\
endif\

}

# Remove superflous target in ./testsuite/Makefile.tests.
#  /^runptests\$(EXEEXT)::$/d

# bug-regex27$(EXEEXT) bug-regex28$(EXEEXT) no longer supported
# by the sed maintainers.
/ bug-regex27\$(EXEEXT) bug-regex28\$(EXEEXT)/ s/bug-regex27\$(EXEEXT) bug-regex28\$(EXEEXT)//
/ testsuite\/bug-regex27 testsuite\/bug-regex28/ s,testsuite/bug-regex27 testsuite/bug-regex28,,
#  /(EXEEXT)bug-/s/(EXEEXT)bug-/(EXEEXT) bug-/

# Set EXEEXT or the targets will not work.
#  /^SED[	 ]*=[	 ]*/ a\
#  EXEEXT = .exe

# Export the EXEEXT to the environment.
/^am__check_pre[ 	]*=[ 	]*\\$/ {
:loop
n
/^srcdir=/! b loop
h
s/(srcdir)/(EXEEXT)/
s/srcdir/exeext/g
G
}

# Support building in other directories in ./testsuite/Makefile.tests.
/^bug-regex.*\\/,/^$/ s,\./,./testsuite/,g

# Define LDADD to libsed.a to be able to compile the test programs in ./Makefile
/^testsuite_test_mbrtowc_LDADD[ 	]*=[ 	]*/ {
h
s/^testsuite_test_mbrtowc_//
x
G
}
